NAME
	exec - execute one or more lines of code

SYNOPSIS
	exec
	exec <code>
        execr <code>
	exec e[dit]
	exec r[epeat]

DESCRIPTION
	Execute one or more lines of code. Make sure that the code is
	correct, and includes ";" where necessary. It is possible to
	use include-predefined macros, such as QCTNAME() or OBJ_I_LIGHT.
	13 Variables type mixed and names 'a' .. 'm' are pre-defined. A
	special funcion parse(string str) will accept tracer tool
	references to objects.

	The file ~/<yourname>.h is always included in the exec-object and
	can contain personal preferences and for instance a link to the
	inclusion of your domains include-file. If you do not have such
	a file, one will be generated for you. Also, the file /sys/exec.h
	will be included in the exec object _after_ the inclusion of your
	personal exec.h file. The code is written to ~/exec_obj.c and
	executed from there.

	If you just type "exec" without arguments, you enter the editor
	where you can type multiple lines of code to be executed.

OPTIONS
	[none]	 - Gives you an editor to enter lines of code. They are
		   executed immediately after you leave the editor the
		   proper way.
	<code>	 - A single line of code. Executes immediately.
	r[epeat] - Execute your previous exec-code again.
	e[dit]	 - Edit your previous exec-code and execute it.

ALIASES
        execr    - A built-in alias for doing "exec return <code>".

EXAMPLES
	exec write(this_player()->query_name() + " is my name.\n");
	exec parse("me:belt")->add_prop(OBJ_I_VALUE, 100);

SEE ALSO
        execr, tracer
